### Method

# Ggit Submodule get_name

#### Declaration [src]

    const gchar*
    ggit_submodule_get_name (
      GgitSubmodule* submodule
    )

#### Description [src]

Gets the name of the submodule from .gitmodules.

#### Return value

Type: `const gchar*`

The name of the submodule from .gitmodules or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.